# uproot.behaviors.TGraphAsymmErrors.TGraphAsymmErrors

Defined in uproot.behaviors.TGraphAsymmErrors on line 16.

class uproot.behaviors.TGraphAsymmErrors.TGraphAsymmErrors

  Behaviors for TGraphAsymmErrors: get values and errors as NumPy arrays.

## values

TGraphAsymmErrors.values(axis='both')
  Parameters:

    axis (int or str) – If `0`, `-2`, or `"x"`, get the x axis. If `1`, `-1`, or `"y"`, get the y axis. If `"both"`, get `"x"` and `"y"` axes as a 2-tuple.

  Returns the values of all points in the scatter plot, either as a 1-dimensional NumPy array (if `axis` selects only one) or as a 2-tuple (if `axis="both"`).

## errors

TGraphAsymmErrors.errors(which, axis='both')
  Parameters:

    - which (str) – If `"low"` or `"high"`, get the low-side or high-side error. If `"mean"`, get the average. If `"diff"`, get their difference.

    - axis (int or str) – If `0`, `-2`, or `"x"`, get the x axis. If `1`, `-1`, or `"y"`, get the y axis. If `"both"`, get `"x"` and `"y"` axes as a 2-tuple.

  Returns the errors in all points in the scatter plot, either as a 1-dimensional NumPy array (if `axis` selects only one) or as a 2-tuple (if `axis="both"`). The value of `which` does not affect the return type.